Create New Child Business in Competitor Enterprise
curl --request POST \
--url https://api.birdeye.com/resources/v1/signup/competitor/{businessId}import requests
url = "https://api.birdeye.com/resources/v1/signup/competitor/{businessId}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.birdeye.com/resources/v1/signup/competitor/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"competitorId": 100037739,
"templateid": 123,
"isAggregationRequired": 1,
"type": "Enterprise",
"businessNumber": 169744180007807,
"businessAlreadyPresent": true
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Competitor
Create New Child Business in Competitor Enterprise
POST
/
v1
/
signup
/
competitor
/
{businessId}
Create New Child Business in Competitor Enterprise
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Account Business Number.
Response
OK
Enterprise Competitor Business ID.
Example:
100037739
Template Id.
Is agrgegation required.
Example:
1
Location-Competitor (string) - Type.
Example:
"Enterprise"
Enterprise Competitor Business Number.
Example:
169744180007807
Is Business Already Present.

